Package org.apache.ignite.internal.processors.cache

## Class CacheIteratorConverter<T,​V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheIteratorConverter<T,​V>

Type Parameters:
  `T` - Type for iterator.
  `V` - Type for cache query future.

    public abstract class CacheIteratorConverter<T,​V>
    extends Object

### Constructor Summary

Constructors
`CacheIteratorConverter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`protected abstract T` `convert​(V v)` Converts class V to class T.
`protected abstract void` `remove​(T item)` Removes item.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheIteratorConverter

    public CacheIteratorConverter()

### Method Detail

#### convert

    protected abstract T convert​(V v)

Converts class V to class T.

Parameters:
  `v` - Item to convert.
Returns:
  Converted item.

#### remove

    protected abstract void remove​(T item)

Removes item.

Parameters:
  `item` - Item to remove.